-- Tank Game (Working Title)
-- By: Ensayia (ensayia@gmail.com)
-- Created on the LOVE framework (http://love2d.org)

-- resource.lua

-- Load external resources for the game to use. Nothing special here.
image = {
	player = {
		body = love.graphics.newImage('graphics/tank.png'),
		gun = love.graphics.newImage('graphics/gun.png'),
		wheelA = love.graphics.newImage('graphics/wheel1.png'),
		wheelB = love.graphics.newImage('graphics/wheel2.png'),
		bullet = love.graphics.newImage('graphics/bullet.png'),
		hook = love.graphics.newImage('graphics/hook.png'),
		cursor = love.graphics.newImage('graphics/cursor.png'),
		grapple = love.graphics.newImage('graphics/grapple.png'),
		healthbar = love.graphics.newImage('graphics/healthbar.png'),
	},
	enemy = {
		turret = love.graphics.newImage('graphics/turret.png'),
	},
}

sound = {
	player = {
		shot = 'sounds/shoot.ogg',
		grapple = 'sounds/grapple.ogg',
		collide = 'sounds/collide.ogg',
		launch = 'sounds/launch.ogg',	
	},
}

tileSheet = love.graphics.newImage('graphics/tile.png')
tileSheet:setFilter('nearest', 'nearest')
emode = love.graphics.newImage('graphics/emode.png')
ekeys = love.graphics.newImage('graphics/editkeys.png')
ckeys = love.graphics.newImage('graphics/camkeys.png')
emouse = love.graphics.newImage('graphics/editmouse.png')

