-- Tank Game (Working Title)
-- By: Ensayia (ensayia@gmail.com)
-- Created on the LOVE framework (http://love2d.org)

-- level.lua

require 'levels/template'

-- Define a table to contain level.
level = {}

-- Identify the folder we will write to.
love.filesystem.setIdentity('tank')

-- If we don't have level one, make it.
if not love.filesystem.exists("1.lua") then
		save = love.filesystem.newFile("1.lua")
		save:open("w")
		save:write("levelData="..TSerial.pack(levelData))
		save:close()
end

-- Read level data from current level and load it, then trigger block.batchBuild
-- to update the world spritebatch.
function level.load()
	love.filesystem.load('1.lua')()
	for k,v in ipairs(levelData) do block.add(v.x, v.y, v.w , v.h) end
	block.batchBuild = true
end

-- Save level data to current level file, trigger block.batchBuild to rebuild
-- the world spritebatch.
function level.save()
	levelData = platform
	file = love.filesystem.newFile('1.lua')
	file:open('w')
	file:write("levelData="..TSerial.pack(levelData))
	file:close()
	block.batchBuild = true
end

